## org.apache.log4j.helpers
Class NullEnumeration

    java.lang.Object
      org.apache.log4j.helpers.NullEnumeration

All Implemented Interfaces:
  Enumeration

    public class NullEnumeration

extends Object
implements Enumeration

An always-empty Enumerator.

Since:
  version 1.0
Author:
  Anders Kristensen

Method Summary
`static NullEnumeration` `getInstance()`
`boolean` `hasMoreElements()`
`Object` `nextElement()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static NullEnumeration getInstance()

### hasMoreElements

    public boolean hasMoreElements()

  Specified by:
    `hasMoreElements` in interface `Enumeration`

### nextElement

    public Object nextElement()

  Specified by:
    `nextElement` in interface `Enumeration`

Copyright © 1999-2010 Apache Software Foundation. All Rights Reserved.